
Infrastructure - Bug #1184

metacat returning SAXParseException for encoded identifier

2011-01-03 21:54 - Rob Nahf

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Rob Nahf % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2011.01   

Milestone:  Story Points:  

Product Version: *   

Description

This is a new error we were not getting before for the same test case

tested: d1_integration vs. cn-dev (upgraded with new knb.war from 12/20).

A SAXParseException was returned thrown for PID:  common-unicode-ascii-escaped-"#<>[]

`{}|

From the test output:

restURL: http://cn-dev.dataone.org/knb/d1/session/?qformat=xml&op=login

method: POST

restURL: 

http://cn-dev.dataone.org/knb/d1/object/knb:testid:20113134630388_common-unicode-ascii-escaped-%22%23%3C%3E%5B%5D%

5E%60%7B%7D%7C? sessionid=8DB25E31E6182BFB0A4F2B3BC68157CD

method: POST

tried to get content and failed.  Receiving an error stream instead.

[Fatal Error] :3:225: The content of elements must consist of well-formed character data or markup.

History

#1 - 2011-01-03 22:03 - Rob Nahf

- Assignee set to Chad Berkley

- Priority changed from Normal to High

#2 - 2011-01-04 21:21 - Rob Nahf

- Status changed from New to Closed

- Assignee changed from Chad Berkley to Rob Nahf

- % Done changed from 0 to 100

The new knb.war cleared up this error.
